Try our new Setup Skill to automatically integrate Hyperspell into your project
curl --request PATCH \
--url https://api.hyperspell.com/context-documents/tree/{tree_id}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"files": {}
}'{
"tree_id": "<string>",
"status": "<string>",
"version": 123,
"files": [
{
"path": "<string>",
"content": "<string>",
"tier": "<string>",
"team": "<string>",
"updated_at": "<string>"
}
],
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"meta": {}
}Edit individual files in a draft tree before publishing.
Only DRAFT trees can be edited. Pass a map of file paths to new content.
curl --request PATCH \
--url https://api.hyperspell.com/context-documents/tree/{tree_id}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"files": {}
}'{
"tree_id": "<string>",
"status": "<string>",
"version": 123,
"files": [
{
"path": "<string>",
"content": "<string>",
"tier": "<string>",
"team": "<string>",
"updated_at": "<string>"
}
],
"error": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"meta": {}
}API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Request body for editing files before publishing.
Map of file path → new content. Only provided paths are updated.
Show child attributes
Was this page helpful?